List out of office entries

GET
/v1/scheduling/out_of_office

The environment's entries, newest first.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
after?string

The last id of the previous page.

host?string

One host's entries, by id or uid.

start_after?string

Entries ending after this.

start_before?string

Entries starting before this.

group?string

The entries one request made.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

A page of entries.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.outOfOffice.list();
{  "object": "list",  "data": [    {      "object": "scheduling.out_of_office",      "id": "ooo_01kd2m9a0b1c2d3e4f5g6h7j8m",      "host": "host_01kd2m9a0b1c2d3e4f5g6h7j8m",      "start": "2027-08-02T04:00:00.000Z",      "end": "2027-08-14T04:00:00.000Z",      "all_day": {        "start_date": "2027-08-02",        "end_date": "2027-08-13",        "time_zone": "America/New_York"      },      "reason": "vacation",      "notes": null,      "public_message": "Back on the 16th.",      "show_on_calendar": true,      "delegates": [        "host_01kd2m9a0b1c2d3e4f5g6h7j8n"      ],      "existing_bookings": "leave",      "external_id": null,      "group": null,      "source": "api",      "created_at": "2027-01-01T10:00:00.000Z",      "updated_at": "2027-01-01T10:00:00.000Z"    }  ],  "has_more": false}